summaryrefslogtreecommitdiffhomepage
path: root/build.sh
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-04-29 17:46:09 +0100
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-04-29 17:46:09 +0100
commite381c3a62fc9a37ebbe7d037fdc81bcfd6500780 (patch)
tree65974e48447d7cdd2d7ac6ed923502a7eb238b77 /build.sh
parenta01a35f5ab5cbb0d4ab5a69585c83976b599c883 (diff)
downloadmidipix_build-e381c3a62fc9a37ebbe7d037fdc81bcfd6500780.tar.bz2
midipix_build-e381c3a62fc9a37ebbe7d037fdc81bcfd6500780.tar.xz
build.sh:buildp_ast(): ignore SIG{HUP,INT,TERM,USR[12]} during handler execution.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index eadd41ac..3d5b135b 100755
--- a/build.sh
+++ b/build.sh
@@ -3,6 +3,7 @@
#
buildp_ast() {
+ trap '' HUP INT TERM USR1 USR2;
local _param="${1}" _pids="" _pids_niter=0 _pkg_name="" RTL_KILL_TREE_PIDS="";
if [ "${_param}" = "abort" ]; then
rtl_log_msg fatalexit "Build aborted.";